Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface PublishArtifactSet

    org.gradle.api.Buildable
      org.gradle.api.artifacts.PublishArtifactSet
          java.lang.Iterable
              org.gradle.api.DomainObjectCollection
                  java.util.Collection
                      org.gradle.api.DomainObjectSet

All Superinterfaces:
  Buildable, Iterable, DomainObjectCollection, Collection, DomainObjectSet

    public interface PublishArtifactSet
    extends Buildable, DomainObjectSet

A set of artifacts to be published.

Method Summary
`FileCollection` | `getFiles()`

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface DomainObjectSet
findAll, matching, matching, withType

Methods inherited from interface DomainObjectCollection
all, all, findAll, matching, matching, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType, withType

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Method Detail

### getFiles

    public FileCollection getFiles()

Gradle API 1.10